using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace WinGrid_CS63_CLR2_AddRowScrollpb
{
    public partial class UserControl1 : UserControl
    {
        public UserControl1()
        {
            InitializeComponent();
        }

        private void UserControl1_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("Name");
            dt.Columns.Add("Country");
            dt.Columns.Add("Age");
            dt.Rows.Add(new object[] { "Sam", "USA", 1 });
            dt.Rows.Add(new object[] { "Marry", "Australia", 2 });
            dt.Rows.Add(new object[] { "Sachin", "India", 3 });
            dt.Rows.Add(new object[] { "Peter", "UK", 4 });
            dt.Rows.Add(new object[] { "Cathy", "Australia", 5 });
            dt.Rows.Add(new object[] { "Drew", "USA", 6 });
            dt.Rows.Add(new object[] { "Sam1", "USA", 7 });
            dt.Rows.Add(new object[] { "Marry1", "Australia", 8 });
            dt.Rows.Add(new object[] { "Sachin1", "India", 9 });
            dt.Rows.Add(new object[] { "Peter1", "UK", 10 });
            dt.Rows.Add(new object[] { "Cathy1", "Australia", 11 });
            dt.Rows.Add(new object[] { "Drew1", "USA", 12 });
            dt.Rows.Add(new object[] { "Sam2", "USA", 13 });
            dt.Rows.Add(new object[] { "Marry2", "Australia", 14 });
            dt.Rows.Add(new object[] { "Sachin2", "India", 15 });
            dt.Rows.Add(new object[] { "Peter2", "UK", 16 });
            dt.Rows.Add(new object[] { "Cathy2", "Australia", 17 });
            dt.Rows.Add(new object[] { "Drew2", "USA", 18 });
            dt.Rows.Add(new object[] { "Sam3", "USA", 19 });
            dt.Rows.Add(new object[] { "Marry3", "Australia", 20 });
            dt.Rows.Add(new object[] { "Sachin3", "India", 21 });
            dt.Rows.Add(new object[] { "Peter3", "UK", 22 });
            dt.Rows.Add(new object[] { "Cathy3", "Australia", 23 });
            dt.Rows.Add(new object[] { "Drew3", "USA", 24 });
            dt.Rows.Add(new object[] { "Sam4", "USA", 25 });
            dt.Rows.Add(new object[] { "Marry4", "Australia", 26 });
            dt.Rows.Add(new object[] { "Sachin4", "India", 27 });
            dt.Rows.Add(new object[] { "Peter4", "UK", 28 });
            dt.Rows.Add(new object[] { "Cathy4", "Australia", 29 });
            dt.Rows.Add(new object[] { "Drew4", "USA", 30 });
            ultraGrid1.DataSource = dt;

            ////Dont allow to edit third column 
            ultraGrid1.DisplayLayout.Bands[0].Columns[2].CellActivation = Infragistics.Win.UltraWinGrid.Activation.NoEdit;
            ////Grid will be grow based on row count - Purpose is to avoid grid scroll
            this.SetFormHeight(this.ultraGrid1.Rows.Count);
            ////Set Panel height
            //this.panel1.Height = this.ultraGrid1.Height + 50;
            ////Set UseControl Height - Purpose is tol
            //--this.Height = this.panel1.Height;
            //this.Height = this.ultraGrid1.Height + 50;
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            ultraGrid1.DisplayLayout.Override.AllowAddNew = Infragistics.Win.UltraWinGrid.AllowAddNew.Yes;
            ultraGrid1.DisplayLayout.AddNewBox.Hidden = false;
        }

        /// <summary>
        /// Sets the height of the form. Just for example
        /// </summary>
        /// <param name="recordCount">The record count.</param>
        private void SetFormHeight(int recordCount)
        {
            if (recordCount > 1)
            {
                int increment = ((recordCount - 1) * 22);
                this.ultraGrid1.Height = 20 + increment;
            }
            else
            {
                this.ultraGrid1.Height = 80;
            }

            this.panel1.Height = this.ultraGrid1.Height + 50;
            this.Height = this.ultraGrid1.Height + 50;
        }

        private void ultraGrid1_AfterRowInsert(object sender, Infragistics.Win.UltraWinGrid.RowEventArgs e)
        {
            this.SetFormHeight(this.ultraGrid1.Rows.Count);
        }
    }
}
